Create payin quote
curl --request POST \
--url https://api.business.bumxpress.com/quotes/payin \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>' \
--data '
{
"customer_id": "22222222-2222-2222-2222-222222222222",
"country_code": "CM",
"operator_code": "CM_MTN_MOMO",
"rail_type": "mobile_money",
"send_amount": "10000",
"send_currency": "XAF"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flow_type": "payin",
"status": "active",
"expires_at": "2023-11-07T05:31:56Z",
"send_amount": "10000",
"send_currency": "XAF",
"receive_amount": "10000",
"receive_currency": "XAF",
"country_code": "CM",
"operator_code": "<string>",
"rail_type": "mobile_money",
"corridor_code": "<string>",
"corridor_type": "<string>",
"payer_operator_code": "<string>",
"recipient_operator_code": "<string>",
"total_fee": "10000",
"wallet_impact": {},
"created_at": "2023-11-07T05:31:56Z",
"_meta": {
"idempotency_key": "<string>",
"idempotency_replayed": true
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}Quotes
Create payin quote
Create a quote before initiating a payin.
POST
https://api.business.bumxpress.com
/
quotes
/
payin
Create payin quote
curl --request POST \
--url https://api.business.bumxpress.com/quotes/payin \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>' \
--data '
{
"customer_id": "22222222-2222-2222-2222-222222222222",
"country_code": "CM",
"operator_code": "CM_MTN_MOMO",
"rail_type": "mobile_money",
"send_amount": "10000",
"send_currency": "XAF"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flow_type": "payin",
"status": "active",
"expires_at": "2023-11-07T05:31:56Z",
"send_amount": "10000",
"send_currency": "XAF",
"receive_amount": "10000",
"receive_currency": "XAF",
"country_code": "CM",
"operator_code": "<string>",
"rail_type": "mobile_money",
"corridor_code": "<string>",
"corridor_type": "<string>",
"payer_operator_code": "<string>",
"recipient_operator_code": "<string>",
"total_fee": "10000",
"wallet_impact": {},
"created_at": "2023-11-07T05:31:56Z",
"_meta": {
"idempotency_key": "<string>",
"idempotency_replayed": true
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}Quotes lock fees, routing, FX, and amounts for 15 minutes.
Authorizations
Public API key from the merchant dashboard.
Secret shown once when the API key is created.
Headers
Unique key for this business intent. Reuse only when retrying the same request body.
Body
application/json
Required string length:
2Example:
"CM"
Example:
"CM_MTN_MOMO"
Available options:
mobile_money, bank_transfer Pattern:
^[0-9]+(\.[0-9]+)?$Example:
"10000"
Supported currencies for payins, payouts, and transfers.
Available options:
XAF, XOF Example:
"XAF"
Response
Payin quote created.
Available options:
payin, payout, transfer Available options:
active, expired, consumed Pattern:
^[0-9]+(\.[0-9]+)?$Example:
"10000"
Supported currencies for payins, payouts, and transfers.
Available options:
XAF, XOF Example:
"XAF"
Pattern:
^[0-9]+(\.[0-9]+)?$Example:
"10000"
Supported currencies for payins, payouts, and transfers.
Available options:
XAF, XOF Example:
"XAF"
Required string length:
2Example:
"CM"
Available options:
mobile_money, bank_transfer Pattern:
^[0-9]+(\.[0-9]+)?$Example:
"10000"
Show child attributes
Show child attributes
Last modified on July 8, 2026